<?php namespace Pratik\Controllers;

use CodeIgniter\Controller;
use Pratik\Config\Derslikler_Config;
use Pratik\Models\Pratik_Model;

class Derslikler extends Controller
{
	public $data = array();
	public $model ;
	public $state=false ;
    function __construct()
	{
        $this->model = new Pratik_Model();
        $this->session = \Config\Services::session();
		$this->request = \Config\Services::request();
		$this->data['module'] = 'derslikler';
    }
	public function index()
	{	
		if($this->state === false ) $this->state =  $this->request->getPostget('state');	
		if($this->state===null) $this->state=1;
		$elements = new Derslikler_Config();
		$this->data['page_title']=t_('derslikler','dersliksate_'.$this->state);		
		$this->data['elements'] = $elements->basic;	
		$this->data['state'] = $this->state;
		$this->data['menu'] =array('derslikler','dersliksate_'.$this->state);		
		return view('Admin\module\module_list', array('data'=>$this->data));
	}
	public function setup()
	{
		$elements = new Derslikler_Config();
		$this->model->setupTable('derslikler',$elements->basic);
		$this->data['menu']=array('derslikler');
	}
	public function edit()
	{	
		$id =  $this->request->getPostget('id');
		$elements = new Derslikler_Config();
		//$model->setupTable('users',$elements->basic);
		$this->data['basic'] = $this->model->getBasic('derslikler', $id, $elements->basic,'',true );
		if($id==0)
		{
			$this->data['basic']['id']['val']=0;
			$this->data['basic']['ad']['val']=t_('Yeni Derslik');
			
		}
		$this->data['metas'] = $this->model->getMetas($id, 'derslikler', "",$elements->metas, 'tr_TR', 'meta', true, false);
		$this->data['page_title']=t_('Derslikler');		
		$this->data['menu']=array('derslikler','derslik_edit');

		return view('Admin\module\module_edit', array('data'=>$this->data));
	}


	//--------------------------------------------------------------------

}
